*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body,
.app {
  margin: 0;
  min-height: 100vh;
}

html {
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont,
  "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif,
  "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

body {
  color: #FFFFFFFF;
  background: #80D3B6FF;
  background-size:cover;
  font-family: system-ui, -apple-system, "Segoe UI", Roboto, Helvetica, Arial,
  sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
}

.app {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
}

.nav {
  z-index: 1;
  width: 100%;
  box-sizing: border-box;

  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;

  padding: 0.5em 1em;
  flex: 0 0 5em;
}

.nav img:hover {
  filter: drop-shadow(0 0 5px rgba(202, 228, 225, 0.2)) drop-shadow(-2px 0 5px rgba($darkScnd, 0.25)) drop-shadow(2px 0 5px rgba($darkThrd, 0.25));
}

.nav .nav-right {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
}

.nav .nav-right .languages {
  margin-right: 2rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

@media (min-width: 992px) {
  .nav {
    width: 75%;
    margin: auto;
    font-size: 1.2em;
  }

  .nav img {
    width: 140px;
    height: 100px;
    transition: .2s;
  }

  .nav .nav-right {
    margin-left: 2rem;
  }
}

@media (min-width: 992px) {
  .nav .nav-right .languages {
    margin-left: 2rem;
  }

  .nav .nav-right .languages > * {
    margin-left: .5rem;
  }
}

.nav .nav-right .languages > * {
  margin-left: .5rem;
}

.nav .nav-right .languages > *.active {
  text-shadow: 2px 2px 1px $darkCard, -2px -2px 1px $darkCard;
  font-size: 1.5rem;
}

.nav-item:hover {
  transform: translateY(-2px);
}

.nav-item:active {
  transform: translateY(2px);
}

.nav-item.active {
  text-shadow: 0 0 6px rgba(202, 228, 225, 0.5);
}

.nav-item.active img {
  filter: drop-shadow(0 0 5px rgba(202, 228, 225, 0.2)) drop-shadow(-2px 0 5px rgba($darkScnd, 0.4)) drop-shadow(2px 0 5px rgba($darkThrd, 0.4));
}

.nav-item.active span {
  position: relative;
  display: inline-block;
}

.nav-item.active span:before {
  transition: .2s;
  box-shadow: 0 0 6px rgba(202, 228, 225, 1);
  position: absolute;
  height: 2px;
  width: 50%;
  left: 25%;
  transform: translate(0, -50%);
  bottom: -5px;
  background: white;
  display: block;
  content: "";
  border-radius: 2px;
}

.nav-item.active span:hover:before {
  box-shadow: 3px 0 2px rgba($darkThrd, 0.75), -3px 0 2px rgba($darkScnd, 0.75);
}

.nav-item:hover {
  text-shadow: 2px 0 2px rgba($darkThrd, 0.75), -2px 0 2px rgba($darkScnd, 0.75);
}

.container {
  height: auto;
  display: flex;
  flex: 1 1 auto;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.footer {
  display: flex;
  flex: 0 0 4em;
  align-items: center;
  justify-content: center;
  font-weight: 600;
}

.footer .copyright {
  color: $darkScnd;
}

@media (min-width: 992px) {
  .footer {
    margin: auto;
    font-size: 1.2em;
  }
}

.font-medium {
  font-weight: 500;
}

.font-thin {
  font-weight: 300;
}

a {
  color: $darkPrim;
  text-decoration: none;
  font-weight: 600;
  transition: .2s;
}

.particles {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: -1;
}

.particle {
  position: absolute;
  background-color: #ffffff;
  border-radius: 50%;
  width: 8px;
  height: 8px;
  animation: moveParticle 3s linear infinite;
}

@keyframes moveParticle {
  0% {
    transform: translate(0, 0);
  }
  25% {
    transform: translate(25vw, 25vh);
  }
  50% {
    transform: translate(50vw, 50vh);
  }
  75% {
    transform: translate(75vw, 75vh);
  }
  100% {
    transform: translate(100vw, 100vh);
  }
}

